Bug 1243813 - python-doit 0.28 breaks python-nikola
Summary: python-doit 0.28 breaks python-nikola
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-doit
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-16 12:03 UTC by Nick Coghlan
Modified: 2015-11-01 02:49 UTC (History)
2 users (show)

Fixed In Version: python-doit-0.28.0-2.fc22 python-doit-0.28.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 22:50:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Nick Coghlan 2015-07-16 12:03:51 UTC
I use Fedora's python-nikola package to build http://curiousefficiency.org

The Fedora upgrade to python-doit 0.28 in bz#1214709 introduced two failures:

1. doit 0.28 now depends on the third party configparser package from PyPI, but this is not installed in Fedora

2. python-nikola itself has a runtime check for doit <= 0.27 which is now failing

The temporary workaround is to downgrade python-doit back to 0.26.

bz#1199721 notes that there is a not yet incorporated nikola update available, but that would only affect the second problem, not the first one.

Comment 1 José Matos 2015-07-16 14:15:09 UTC
Hi Nick,
  I noticed issue 1) that is why I have a package review for python-configparser (#1243499) ongoing. The problem when I issued the update was that my mistake I have only tested with python 3, that does not have any problem.. :-(

  Regarding issue 2 I got it because I am using nokila for my website, and while discussing the problem with Pete Travis (python-nikola poc) we think that the restriction is artificial. The requirements are too strict. We could get around by patching nikola source, or in an easier way as you suggested to update nikola to the latest release 7.6.1 (released yesterday). BTW while playing with the update I noticed that we also have to update python-yapsy as well.

I will coordinate with Pete to get this fixed as soon as possible.

Thank you for the report.

Comment 2 Nick Coghlan 2015-07-17 06:14:42 UTC
Heh, despite working with the folks coordinating the migration to Python 3, I hadn't even thought to check for a Py3 version of Nikola - installed, and thanks for the suggestion!

Comment 3 Fedora Update System 2015-07-21 10:10:00 UTC
python-configparser-3.5.0b2-0.2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-configparser-3.5.0b2-0.2.fc22

Comment 4 Fedora Update System 2015-07-21 10:11:11 UTC
python-configparser-3.5.0b2-0.2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-configparser-3.5.0b2-0.2.fc21

Comment 5 Fedora Update System 2015-07-31 07:53:27 UTC
python-configparser-3.5.0b2-0.2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-07-31 07:56:57 UTC
python-configparser-3.5.0b2-0.2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-08-27 01:54:34 UTC
python-doit-0.28.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14370

Comment 8 Fedora Update System 2015-08-27 01:54:48 UTC
python-doit-0.28.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14369

Comment 9 Fedora Update System 2015-08-28 18:57:55 UTC
python-doit-0.28.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-doit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14369

Comment 10 Fedora Update System 2015-08-31 18:53:15 UTC
python-doit-0.28.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-doit'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14370

Comment 11 Fedora Update System 2015-10-07 22:50:40 UTC
python-doit-0.28.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-11-01 02:49:39 UTC
python-doit-0.28.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.